<?php
header("Content-Type:text/html;charset=gb2312");
require_once '../../include/common.inc.php';
global $db;
//$db->query("INSERT INTO {$tablepre}qq (uid, qq) VALUES (1,'4111852')");
if($REQUEST_METHOD == "POST")
{
	$ExternalId = trim($_POST["ExternalId"]);
	$Sender = trim($_POST["Sender"]);
	$Message = trim($_POST["Message"]);
	if($ExternalId == "0")
	{
		if(preg_match('/^([0-9]+)z([0-9a-f]{32})$/', $Message, $result))
		{
			$iuh_user = $db->fetch_first("select * from {$tablepre}uc_members where uid=".$result[1]);
			if($result[2] == md5(md5($iuh_user['salt'])))
			{
				$db->query("INSERT INTO {$tablepre}qq (uid, qq) VALUES (".$result[1].",'$Sender')");
				echo("绑定成功");
			}
			else
				echo("绑定失败");
		}
		else
			echo("这是一个接口程序，想回复什么可以自由实现，支持asp,php,asp.net等等基于http协议的程序，由什么疑问欢迎联系QQ:4111852\n\n收到QQ：$Sender的消息：$Message");
	}
	else if ($ExternalId == "-1")
	{
		echo("这是一个接口程序，想回复什么可以自由实现，支持asp,php,asp.net等等基于http协议的程序，由什么疑问欢迎联系QQ:4111852\n\n收到加好友的请求：$Sender的消息：$Message");
	}
	else
	{
		echo("这是一个接口程序，想回复什么可以自由实现，支持asp,php,asp.net等等基于http协议的程序，由什么疑问欢迎联系QQ:4111852\n\n收到群：$Sender的消息：$Message");
	}
}
else
{	
	if ($iuh_send = $db->fetch_first("select * from {$tablepre}qq_send order by id"))
	{
		echo($iuh_send["content"]);
		$db->query("delete from {$tablepre}qq_send where id=".$iuh_send["id"]);
	}
}
?>